This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 71981 - nvidia drivers will not load
nvidia drivers will not load
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-20 11:42 EDT by dmatrix7
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-20 11:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dmatrix7 2002-08-20 11:42:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
Compile Nvidia drivers from tar.gz file. Compiles fine with errors on load of
NVdriver module. The error on load says that the kernel was compiled with GCC 3
but the compiler is only 2.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. download nvidia drivers tarball 2960
2. untar NVIDIA_kernel, compile with make install and see the errors.
3.
	

Expected Results:  Worked fine on Limbo betas

Additional info:
Comment 1 Arjan van de Ven 2002-08-20 11:46:00 EDT
Part of the nvidia module is compiled with gcc 2.96 or 2.95
It is known that gcc 2.x compiled (or partially compiled) modules don't work in
gcc 3.2 compiled kernels so insmod nicely warns you before disaster hits.

you can use insmod -f to override and corrupt all the data on your disk ;)
Comment 2 dmatrix7 2002-08-20 11:49:17 EDT
I have tried to force the load with insmod -f NVdriver which does load the
module, but then the X server will complain it cannot find the driver.
Comment 3 Mike A. Harris 2002-08-20 11:55:01 EDT
As an added note, the proper solution for this will be for Nvidia
to provide both gcc 2.96 compiled, and gcc 3.2 compiled versions
of their drivers.  That will provide the maximum compatibility for
their users.

Most likely they'll release drivers compiled with gcc 3.2 once
distributions are officially released which are gcc 3.2 based.

Comment 4 Scott Lamb 2002-08-24 23:35:23 EDT
I worked around this problem, may be useful to others:

- Install compat-gcc-7.3-2.96-110 from disc 2.
- Compile a custom kernel with make CC=gcc296 bzImage modules
- Compile the nVidia kernel driver with make CC=gcc296
SYSINCLUDE=/kernel/dir/include

Note You need to log in before you can comment on or make changes to this bug.